Name:           swingx
Version:        0.9.5
Release:        %mkrel 12
Summary:        A collection of Swing components
License:        LGPLv2
Group:          Development/Java
Url:            https://swingx.dev.java.net/
Source0:        https://swingx.dev.java.net/files/documents/2981/121928/%{name}-%{version}-src.zip
# Remove external dependency that's now included in JDK 1.6
# See http://forums.java.net/jive/thread.jspa?messageID=318384
Patch0:         swingx-0.9.4-LoginService.patch
# Remove build dependencies on included binary jars and add system jars
# Remove main class from manifest
Patch1:         swingx-0.9.4-project-properties.patch
# Don't do the "demo taglet" stuff
Patch2:         swingx-0.9.5-swinglabs-build-impl.patch

BuildArch:      noarch

BuildRequires:  ant
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  batik

Requires:       java >= 0:1.6.0


%description
SwingX contains a collection of powerful, useful, and just plain fun Swing
components. Each of the Swing components have been extended, providing
data-aware functionality out of the box. New useful components have been
created like the JXDatePicker, JXTaskPane, and JXImagePanel.


%package        javadoc
Summary:        Javadocs for %{name}
Group:          Documentation

%description    javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}-%{version}-src
%patch0 -p1
%patch1 -p1
%patch2 -p1
rm -rf lib/


%build
%ant jar javadoc


%install
# jars
mkdir -p %{buildroot}%{_javadir}
cp -p dist/%{name}.jar  %{buildroot}%{_javadir}/%{name}.jar

# javadocs
mkdir -p %{buildroot}%{_javadocdir}/
cp -r dist/javadoc %{buildroot}%{_javadocdir}/%{name}

# pom
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap

%files -f .mfiles
%doc COPYING README


%files javadoc
%doc COPYING
%{_javadocdir}/%{name}/


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 0.9.5-12.mga6
+ Revision: 951882
- Mageia 6 Mass Rebuild

  + neoclust <neoclust>
    - Revert previous commit
    - Remove non existing macros

* Thu Jan 08 2015 daviddavid <daviddavid> 0.9.5-10.mga5
+ Revision: 809393
- use .mfiles generated during build
- fix Group
- remove no longer needed %%post and %%postun for maven_depmap

* Wed Oct 15 2014 umeabot <umeabot> 0.9.5-9.mga5
+ Revision: 743698
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.5-8.mga5
+ Revision: 689643
- Mageia 5 Mass Rebuild

* Tue Dec 10 2013 joequant <joequant> 0.9.5-7.mga4
+ Revision: 556116
- fix maven depmaps

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Tue Jul 30 2013 joequant <joequant> 0.9.5-5.mga4
+ Revision: 461052
- remove ant-nodeps and ant-trax from buildrequires

* Mon Jan 14 2013 umeabot <umeabot> 0.9.5-4.mga3
+ Revision: 383846
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Apr 28 2011 dmorgan <dmorgan> 0.9.5-3.mga1
+ Revision: 93148
- Rebuild after bootstrapping
- imported package swingx


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Feb 01 2011 Omair Majid <omajid@redhat.com> - 0.9.5-1
- Fix issues pointed out in the package review

* Thu Jan 13 2011 Omair Majid <omajid@redhat.com> - 0.9.5-1
- Update to 0.9.5

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec  9 2008 Mary Ellen Foster <mefoster at gmail.com> - 0.9.4-5
- Add dist to version
- Fix BuildRoot to follow the latest guidelines

* Mon Nov 24 2008 Mary Ellen Foster <mefoster at gmail.com> - 0.9.4-4
- Add comments explaining the patches
- Update Summary following discussion on fedora-devel list

* Thu Nov  6 2008 Mary Ellen Foster <mefoster at gmail.com> - 0.9.4-3
- Flag Maven depmap as "config"

* Wed Nov  5 2008 Mary Ellen Foster <mefoster at gmail.com> - 0.9.4-2
- Fix cosmetic issues in spec file
- Add ant-nodeps to BuildRequires

* Tue Nov  4 2008 Mary Ellen Foster <mefoster at gmail.com> - 0.9.4-1
- Initial package
